package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF2A3Data {

    private Map<String, Object> params;
    
    public MWF2A3Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsRecipientAccount() {
        return (String) params.get("RS_RECIPIENT_ACCOUNT");
    }

    public String rsRecipientBankCode() {
        return (String) params.get("RS_RECIPIENT_BANK_CODE");
    }

    public String rsAmount() {
        return (String) params.get("RS_AMOUNT");
    }

    public String rsPayerAccount() {
        return (String) params.get("RS_PAYER_ACCOUNT");
    }

    public String rsPayerBankCode() {
        return (String) params.get("RS_PAYER_BANK_CODE");
    }

    public String rsPayerAccountName() {
        return (String) params.get("RS_PAYER_ACCOUNT_NAME");
    }

    public String rsPayerEmprId() {
        return (String) params.get("RS_PAYER_EMPR_ID");
    } 

}
